# Carriers Configuration (Operations)

Endpoints to create, update and read carriers configuration.

## GET /api/carriers/{carrierId}/configuration

> Get carrier config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Configuration of a Carrier","properties":{"additionalWeightInPercent":{"description":"It is an amount of percentage for packaging weight which will be added to the calculated shipping weight","minimum":0,"type":"number"},"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"alternativeSendAddress":{"$ref":"#/components/schemas/FacilityAddress"},"carrierRef":{"type":"string"},"countryServiceMappings":{"items":{"$ref":"#/components/schemas/CarrierCountryServiceMapping"},"type":"array"},"defaultPickUpTime":{"$ref":"#/components/schemas/CarrierPickUpTime"},"fallBackTrackAndTraceEmail":{"description":"EmailAddress used to receive track and trace information when no other emailaddress was provided","format":"email","minLength":1,"type":"string"},"id":{"type":"string"},"mustBeWeighed":{"default":false,"description":"Indicates if the content of a parcel must be weighed before ordering a label","type":"boolean"},"nonDeliveryDaysPerCountryAndProvince":{"items":{"$ref":"#/components/schemas/NonDeliveryDaysPerCountryAndProvince"},"type":"array"},"returnLabel":{"default":false,"description":"When enabled, a return label will be created by creating a shipping label","type":"boolean"},"serviceUrl":{"type":"string"},"thresholdPriceValue":{"$ref":"#/components/schemas/ThresholdPriceValue"}},"required":["returnLabel","carrierRef"],"title":"CarrierConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"CarrierCountryServiceMapping":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"carrierServices":{"description":"Services which can be provided by the carrier","items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"type":"array"},"destinationCountries":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array","deprecated":true},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"id":{"description":"unique identifier for a countryServiceMapping","type":"string"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"deprecated":true,"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use source instead.","maxLength":2,"minLength":2,"type":"string","deprecated":true},"staticCCSMRef":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["id","source","destinations"],"type":"object","title":"CarrierCountryServiceMapping","description":"CarrierCountryServiceMapping"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute","description":"AdditionalShippingArticleAttribute"},"CountryServiceMappingShippingArticleAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"category":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeCategory"},"dataType":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeDataType"},"description":{"type":"string"},"referencedField":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeReferencedField"}},"required":["referencedField","dataType","category","descriptionLocalized"],"type":"object","title":"CountryServiceMappingShippingArticleAttribute","description":"CountryServiceMappingShippingArticleAttribute"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MandatoryShippingArticleAttributeCategory":{"enum":["customs","dimensions","insurance"],"type":"string","title":"MandatoryShippingArticleAttributeCategory","description":"MandatoryShippingArticleAttributeCategory"},"MandatoryShippingArticleAttributeDataType":{"enum":["NUMBER","STRING"],"type":"string","title":"MandatoryShippingArticleAttributeDataType","description":"MandatoryShippingArticleAttributeDataType"},"MandatoryShippingArticleAttributeReferencedField":{"enum":["attributes.weightPerUnit","attributes.hsCode","attributes.currency","attributes.valuePerUnit","attributes.countryOfManufacture"],"type":"string","title":"MandatoryShippingArticleAttributeReferencedField","description":"MandatoryShippingArticleAttributeReferencedField"},"AdditionalShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"AdditionalShippingAttribute","description":"AdditionalShippingAttribute"},"CountryServiceMappingShippingAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"- dimensions.weight: will be calculated from MandatoryShippingArticleAttribute.attributes.weightPerUnit if items with weightPerUnit is set on all items - productValue: will be calculated from MandatoryShippingArticleAttribute.attributes.pricePerUnit if items with pricePerUnit is set on all items","enum":["dimensions.weight","productValue","pickUpInformation.startTime","pickUpInformation.endTime","services.BulkyGoods","services.Signature","services.AdultSignature","services.CustomerSignature","services.SaturdayDelivery","services.IdentityCheckPrivate","services.IdentityCheckCompany","services.AdditionalTransportInsurance","carrierInformation.shippingContainerNumber"],"type":"string"}},"type":"object","title":"CountryServiceMappingShippingAttribute","description":"CountryServiceMappingShippingAttribute"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"CountryCode":{"description":"ISO 3166 ALPHA-2 of country","maxLength":2,"minLength":2,"type":"string","title":"CountryCode"},"RegionInformation":{"properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCodes":{"items":{"type":"string"},"type":"array"}},"required":["countryCode"],"type":"object","title":"RegionInformation","description":"RegionInformation"},"MandatoryShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"MandatoryShippingArticleAttribute","description":"MandatoryShippingArticleAttribute"},"MandatoryShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"MandatoryShippingAttribute","description":"MandatoryShippingAttribute"},"MandatoryShippingItemAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"Deprecated:\n  - description: article.title will be used instead\n  - weightInGram: use MandatoryShippingArticleAttribute.attributes.weightPerUnit\n  - quantity, this field is now mandatory in the item\n  - parcelItemValue.value: use MandatoryShippingArticleAttribute.attributes.pricePerUnit\n  - parcelItemValue.currency: use MandatoryShippingArticleAttribute.attributes.currency\n  - countryOfManufacture: use MandatoryShippingArticleAttribute.attributes.countryOfManufacture\n  - tenantArticleId: mandatory on line item article","enum":["description","weightInGram","quantity","parcelItemValue.value","parcelItemValue.currency","countryOfManufacture","tenantArticleId"],"type":"string"}},"type":"object","title":"MandatoryShippingItemAttribute","description":"MandatoryShippingItemAttribute"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"CarrierPickUpTime":{"additionalProperties":false,"description":"Default pick up time configuration for carriers supporting pick up scheduling, will be used to calculate the next possible pick up date","properties":{"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"title":"CarrierPickUpTime"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"NonDeliveryDaysPerCountryAndProvince":{"additionalProperties":false,"properties":{"country":{"type":"string"},"nonDeliveryDays":{"items":{"$ref":"#/components/schemas/NonDeliveryDays"},"type":"array"},"nonDeliveryDaysPerProvince":{"items":{"$ref":"#/components/schemas/NonDeliveryDaysPerProvince"},"type":"array"},"recurringNonDeliveryWeekdays":{"items":{"$ref":"#/components/schemas/WeekDay"},"type":"array"}},"required":["country","nonDeliveryDays","recurringNonDeliveryWeekdays","nonDeliveryDaysPerProvince"],"type":"object","title":"NonDeliveryDaysPerCountryAndProvince","description":"NonDeliveryDaysPerCountryAndProvince"},"NonDeliveryDays":{"additionalProperties":false,"properties":{"nonDeliveryDay":{"format":"date","pattern":"^\\d{4}-\\d{2}-\\d{2}$","type":"string"},"nonDeliveryType":{"$ref":"#/components/schemas/NonDeliveryType","default":"SINGLE"}},"required":["nonDeliveryDay"],"type":"object","title":"NonDeliveryDays","description":"NonDeliveryDays"},"NonDeliveryType":{"enum":["SINGLE","RECURRING"],"type":"string","title":"NonDeliveryType","description":"NonDeliveryType"},"NonDeliveryDaysPerProvince":{"additionalProperties":false,"properties":{"nonDeliveryDays":{"items":{"$ref":"#/components/schemas/NonDeliveryDays"},"type":"array"},"province":{"type":"string"},"recurringNonDeliveryWeekdays":{"items":{"$ref":"#/components/schemas/WeekDay"},"type":"array"}},"required":["province","nonDeliveryDays","recurringNonDeliveryWeekdays"],"type":"object","title":"NonDeliveryDaysPerProvince","description":"NonDeliveryDaysPerProvince"},"WeekDay":{"description":"A weekday","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"],"type":"string","xml":{"name":"WeekDay"},"title":"WeekDay"},"ThresholdPriceValue":{"additionalProperties":false,"properties":{"priceRange":{"$ref":"#/components/schemas/PriceRange"},"priority":{"description":"The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority is used when comparing multiple carriers.","minimum":1,"type":"integer"}},"required":["priority","priceRange"],"type":"object","title":"ThresholdPriceValue","description":"ThresholdPriceValue"},"PriceRange":{"additionalProperties":false,"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"from":{"description":"Lowest total parcel value that this carrier will be selected for. Value is in configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"},"to":{"description":"Highest total parcel value that this carrier will be selected for. Value is configured in the smallest subunit, e.g. cents.","minimum":1,"type":"integer"}},"required":["from","to","currency","decimalPlaces"],"type":"object","title":"PriceRange","description":"PriceRange"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"GlsCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of GLS Carrier","properties":{"alternativeReturnAddressLocationId":{"minLength":1,"type":"string"},"alternativeSendAddressLocationId":{"minLength":1,"type":"string"},"trackAndTraceUrl":{"type":"string"},"trackAndTraceWsdlUrl":{"type":"string"}},"title":"GlsCarrierConfiguration"},"FedexCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Fedex Carrier","properties":{"defaultCommodityDescription":{"description":"Describes the shipped goods","type":"string"},"defaultManufactureCountry":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"defaultPriceCurrency":{"description":"default currency of shipped goods as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"},"defaultPriceValue":{"description":"Default value of shipped goods","type":"number"},"trackAndTraceUrl":{"type":"string"},"useEconomyService":{"description":"Indicates if the economy services of fedex should be used.","type":"boolean"}},"required":["useEconomyService","defaultPriceCurrency","defaultPriceValue","defaultManufactureCountry","defaultCommodityDescription"],"title":"FedexCarrierConfiguration"},"BringCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Bring Carrier","properties":{"customerId":{"description":"Bring Carrier customer number.","type":"string"},"returnProduct":{"description":"Product that will be used for return","type":"string"},"shipmentProduct":{"description":"Product that will be used for the shipment booking","type":"string"},"supportPhoneNumber":{"description":"Bring Carrier support phone number.","type":"string"},"trackAndTraceUrl":{"type":"string"},"webhookFftHost":{"type":"string"}},"required":["customerId","supportPhoneNumber"],"title":"BringCarrierConfiguration"},"DpdChCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of DPD Switzerland Carrier","properties":{"trackAndTraceUrl":{"type":"string"}},"title":"DpdChCarrierConfiguration"},"DhlV2CarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of DHL Carrier","properties":{"alwaysDoTrackAndTrace":{"default":false,"description":"If true, the track and trace will always be done, even if a parcel is directly created in DONE status","type":"boolean"},"sftpConfiguration":{"$ref":"#/components/schemas/DhlV2SftpConfiguration"},"shipperRef":{"description":"a shipperRef that can optionally be defined in the DHL business customer portal","type":"string"},"trackAndTraceUrl":{"type":"string"}},"title":"DhlV2CarrierConfiguration"},"DhlV2SftpConfiguration":{"additionalProperties":false,"properties":{"useSftpForTandT":{"default":false,"description":"Indicates if the SFTP should be used for tracking and tracing","type":"boolean"}},"required":["useSftpForTandT"],"title":"DhlV2SftpConfiguration","description":"DhlV2SftpConfiguration"},"VceCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of VCE Carrier","title":"VceCarrierConfiguration"},"PostNlCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of PostNL Carrier","properties":{"trackAndTraceUrl":{"type":"string"}},"title":"PostNlCarrierConfiguration"},"SevenSendersCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Seven Senders Carrier","properties":{"trackAndTraceUrl":{"type":"string"},"warehouse":{"description":"The name of the warehouse that should be passed to Seven Senders, as configured in Seven Senders.","type":"string"}},"title":"SevenSendersCarrierConfiguration"},"UBSendCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of UBSend Carrier","title":"UBSendCarrierConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration":{"get":{"description":"","operationId":"getCarrierConfiguration","parameters":[{"description":"ID of the carrier you want to get the configuration","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CarrierConfiguration"},{"$ref":"#/components/schemas/GlsCarrierConfiguration"},{"$ref":"#/components/schemas/FedexCarrierConfiguration"},{"$ref":"#/components/schemas/BringCarrierConfiguration"},{"$ref":"#/components/schemas/DpdChCarrierConfiguration"},{"$ref":"#/components/schemas/DhlV2CarrierConfiguration"},{"$ref":"#/components/schemas/VceCarrierConfiguration"},{"$ref":"#/components/schemas/PostNlCarrierConfiguration"},{"$ref":"#/components/schemas/SevenSendersCarrierConfiguration"},{"$ref":"#/components/schemas/UBSendCarrierConfiguration"}]}}},"description":"Carrier Configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier Configuration not found"}},"summary":"Get carrier config","tags":["Carriers Configuration (Operations)"]}}}}
```

## PUT /api/carriers/{carrierId}/configuration

> Update carrier config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Configuration of a Carrier","properties":{"additionalWeightInPercent":{"description":"It is an amount of percentage for packaging weight which will be added to the calculated shipping weight","minimum":0,"type":"number"},"alternativeReturnAddress":{"$ref":"#/components/schemas/FacilityAddress"},"alternativeSendAddress":{"$ref":"#/components/schemas/FacilityAddress"},"carrierRef":{"type":"string"},"countryServiceMappings":{"items":{"$ref":"#/components/schemas/CarrierCountryServiceMapping"},"type":"array"},"defaultPickUpTime":{"$ref":"#/components/schemas/CarrierPickUpTime"},"fallBackTrackAndTraceEmail":{"description":"EmailAddress used to receive track and trace information when no other emailaddress was provided","format":"email","minLength":1,"type":"string"},"id":{"type":"string"},"mustBeWeighed":{"default":false,"description":"Indicates if the content of a parcel must be weighed before ordering a label","type":"boolean"},"nonDeliveryDaysPerCountryAndProvince":{"items":{"$ref":"#/components/schemas/NonDeliveryDaysPerCountryAndProvince"},"type":"array"},"returnLabel":{"default":false,"description":"When enabled, a return label will be created by creating a shipping label","type":"boolean"},"serviceUrl":{"type":"string"},"thresholdPriceValue":{"$ref":"#/components/schemas/ThresholdPriceValue"}},"required":["returnLabel","carrierRef"],"title":"CarrierConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"CarrierCountryServiceMapping":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"carrierServices":{"description":"Services which can be provided by the carrier","items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"type":"array"},"destinationCountries":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array","deprecated":true},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"id":{"description":"unique identifier for a countryServiceMapping","type":"string"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"deprecated":true,"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use source instead.","maxLength":2,"minLength":2,"type":"string","deprecated":true},"staticCCSMRef":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["id","source","destinations"],"type":"object","title":"CarrierCountryServiceMapping","description":"CarrierCountryServiceMapping"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute","description":"AdditionalShippingArticleAttribute"},"CountryServiceMappingShippingArticleAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"category":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeCategory"},"dataType":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeDataType"},"description":{"type":"string"},"referencedField":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeReferencedField"}},"required":["referencedField","dataType","category","descriptionLocalized"],"type":"object","title":"CountryServiceMappingShippingArticleAttribute","description":"CountryServiceMappingShippingArticleAttribute"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MandatoryShippingArticleAttributeCategory":{"enum":["customs","dimensions","insurance"],"type":"string","title":"MandatoryShippingArticleAttributeCategory","description":"MandatoryShippingArticleAttributeCategory"},"MandatoryShippingArticleAttributeDataType":{"enum":["NUMBER","STRING"],"type":"string","title":"MandatoryShippingArticleAttributeDataType","description":"MandatoryShippingArticleAttributeDataType"},"MandatoryShippingArticleAttributeReferencedField":{"enum":["attributes.weightPerUnit","attributes.hsCode","attributes.currency","attributes.valuePerUnit","attributes.countryOfManufacture"],"type":"string","title":"MandatoryShippingArticleAttributeReferencedField","description":"MandatoryShippingArticleAttributeReferencedField"},"AdditionalShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"AdditionalShippingAttribute","description":"AdditionalShippingAttribute"},"CountryServiceMappingShippingAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"- dimensions.weight: will be calculated from MandatoryShippingArticleAttribute.attributes.weightPerUnit if items with weightPerUnit is set on all items - productValue: will be calculated from MandatoryShippingArticleAttribute.attributes.pricePerUnit if items with pricePerUnit is set on all items","enum":["dimensions.weight","productValue","pickUpInformation.startTime","pickUpInformation.endTime","services.BulkyGoods","services.Signature","services.AdultSignature","services.CustomerSignature","services.SaturdayDelivery","services.IdentityCheckPrivate","services.IdentityCheckCompany","services.AdditionalTransportInsurance","carrierInformation.shippingContainerNumber"],"type":"string"}},"type":"object","title":"CountryServiceMappingShippingAttribute","description":"CountryServiceMappingShippingAttribute"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"CountryCode":{"description":"ISO 3166 ALPHA-2 of country","maxLength":2,"minLength":2,"type":"string","title":"CountryCode"},"RegionInformation":{"properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCodes":{"items":{"type":"string"},"type":"array"}},"required":["countryCode"],"type":"object","title":"RegionInformation","description":"RegionInformation"},"MandatoryShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"MandatoryShippingArticleAttribute","description":"MandatoryShippingArticleAttribute"},"MandatoryShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"MandatoryShippingAttribute","description":"MandatoryShippingAttribute"},"MandatoryShippingItemAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"Deprecated:\n  - description: article.title will be used instead\n  - weightInGram: use MandatoryShippingArticleAttribute.attributes.weightPerUnit\n  - quantity, this field is now mandatory in the item\n  - parcelItemValue.value: use MandatoryShippingArticleAttribute.attributes.pricePerUnit\n  - parcelItemValue.currency: use MandatoryShippingArticleAttribute.attributes.currency\n  - countryOfManufacture: use MandatoryShippingArticleAttribute.attributes.countryOfManufacture\n  - tenantArticleId: mandatory on line item article","enum":["description","weightInGram","quantity","parcelItemValue.value","parcelItemValue.currency","countryOfManufacture","tenantArticleId"],"type":"string"}},"type":"object","title":"MandatoryShippingItemAttribute","description":"MandatoryShippingItemAttribute"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"CarrierPickUpTime":{"additionalProperties":false,"description":"Default pick up time configuration for carriers supporting pick up scheduling, will be used to calculate the next possible pick up date","properties":{"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"title":"CarrierPickUpTime"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"NonDeliveryDaysPerCountryAndProvince":{"additionalProperties":false,"properties":{"country":{"type":"string"},"nonDeliveryDays":{"items":{"$ref":"#/components/schemas/NonDeliveryDays"},"type":"array"},"nonDeliveryDaysPerProvince":{"items":{"$ref":"#/components/schemas/NonDeliveryDaysPerProvince"},"type":"array"},"recurringNonDeliveryWeekdays":{"items":{"$ref":"#/components/schemas/WeekDay"},"type":"array"}},"required":["country","nonDeliveryDays","recurringNonDeliveryWeekdays","nonDeliveryDaysPerProvince"],"type":"object","title":"NonDeliveryDaysPerCountryAndProvince","description":"NonDeliveryDaysPerCountryAndProvince"},"NonDeliveryDays":{"additionalProperties":false,"properties":{"nonDeliveryDay":{"format":"date","pattern":"^\\d{4}-\\d{2}-\\d{2}$","type":"string"},"nonDeliveryType":{"$ref":"#/components/schemas/NonDeliveryType","default":"SINGLE"}},"required":["nonDeliveryDay"],"type":"object","title":"NonDeliveryDays","description":"NonDeliveryDays"},"NonDeliveryType":{"enum":["SINGLE","RECURRING"],"type":"string","title":"NonDeliveryType","description":"NonDeliveryType"},"NonDeliveryDaysPerProvince":{"additionalProperties":false,"properties":{"nonDeliveryDays":{"items":{"$ref":"#/components/schemas/NonDeliveryDays"},"type":"array"},"province":{"type":"string"},"recurringNonDeliveryWeekdays":{"items":{"$ref":"#/components/schemas/WeekDay"},"type":"array"}},"required":["province","nonDeliveryDays","recurringNonDeliveryWeekdays"],"type":"object","title":"NonDeliveryDaysPerProvince","description":"NonDeliveryDaysPerProvince"},"WeekDay":{"description":"A weekday","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"],"type":"string","xml":{"name":"WeekDay"},"title":"WeekDay"},"ThresholdPriceValue":{"additionalProperties":false,"properties":{"priceRange":{"$ref":"#/components/schemas/PriceRange"},"priority":{"description":"The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority is used when comparing multiple carriers.","minimum":1,"type":"integer"}},"required":["priority","priceRange"],"type":"object","title":"ThresholdPriceValue","description":"ThresholdPriceValue"},"PriceRange":{"additionalProperties":false,"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code.","nullable":true,"type":"string"},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"from":{"description":"Lowest total parcel value that this carrier will be selected for. Value is in configured in the smallest subunit, e.g. cents.","minimum":0,"type":"integer"},"to":{"description":"Highest total parcel value that this carrier will be selected for. Value is configured in the smallest subunit, e.g. cents.","minimum":1,"type":"integer"}},"required":["from","to","currency","decimalPlaces"],"type":"object","title":"PriceRange","description":"PriceRange"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"GlsCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of GLS Carrier","properties":{"alternativeReturnAddressLocationId":{"minLength":1,"type":"string"},"alternativeSendAddressLocationId":{"minLength":1,"type":"string"},"trackAndTraceUrl":{"type":"string"},"trackAndTraceWsdlUrl":{"type":"string"}},"title":"GlsCarrierConfiguration"},"FedexCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Fedex Carrier","properties":{"defaultCommodityDescription":{"description":"Describes the shipped goods","type":"string"},"defaultManufactureCountry":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"defaultPriceCurrency":{"description":"default currency of shipped goods as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"},"defaultPriceValue":{"description":"Default value of shipped goods","type":"number"},"trackAndTraceUrl":{"type":"string"},"useEconomyService":{"description":"Indicates if the economy services of fedex should be used.","type":"boolean"}},"required":["useEconomyService","defaultPriceCurrency","defaultPriceValue","defaultManufactureCountry","defaultCommodityDescription"],"title":"FedexCarrierConfiguration"},"BringCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Bring Carrier","properties":{"customerId":{"description":"Bring Carrier customer number.","type":"string"},"returnProduct":{"description":"Product that will be used for return","type":"string"},"shipmentProduct":{"description":"Product that will be used for the shipment booking","type":"string"},"supportPhoneNumber":{"description":"Bring Carrier support phone number.","type":"string"},"trackAndTraceUrl":{"type":"string"},"webhookFftHost":{"type":"string"}},"required":["customerId","supportPhoneNumber"],"title":"BringCarrierConfiguration"},"DpdChCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of DPD Switzerland Carrier","properties":{"trackAndTraceUrl":{"type":"string"}},"title":"DpdChCarrierConfiguration"},"DhlV2CarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of DHL Carrier","properties":{"alwaysDoTrackAndTrace":{"default":false,"description":"If true, the track and trace will always be done, even if a parcel is directly created in DONE status","type":"boolean"},"sftpConfiguration":{"$ref":"#/components/schemas/DhlV2SftpConfiguration"},"shipperRef":{"description":"a shipperRef that can optionally be defined in the DHL business customer portal","type":"string"},"trackAndTraceUrl":{"type":"string"}},"title":"DhlV2CarrierConfiguration"},"DhlV2SftpConfiguration":{"additionalProperties":false,"properties":{"useSftpForTandT":{"default":false,"description":"Indicates if the SFTP should be used for tracking and tracing","type":"boolean"}},"required":["useSftpForTandT"],"title":"DhlV2SftpConfiguration","description":"DhlV2SftpConfiguration"},"VceCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of VCE Carrier","title":"VceCarrierConfiguration"},"PostNlCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of PostNL Carrier","properties":{"trackAndTraceUrl":{"type":"string"}},"title":"PostNlCarrierConfiguration"},"SevenSendersCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of Seven Senders Carrier","properties":{"trackAndTraceUrl":{"type":"string"},"warehouse":{"description":"The name of the warehouse that should be passed to Seven Senders, as configured in Seven Senders.","type":"string"}},"title":"SevenSendersCarrierConfiguration"},"UBSendCarrierConfiguration":{"allOf":[{"$ref":"#/components/schemas/CarrierConfiguration"}],"description":"Configuration of UBSend Carrier","title":"UBSendCarrierConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration":{"put":{"description":"","operationId":"putCarrierConfiguration","parameters":[{"description":"ID of the carrier you want to update the configuration","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CarrierConfiguration"},{"$ref":"#/components/schemas/GlsCarrierConfiguration"},{"$ref":"#/components/schemas/FedexCarrierConfiguration"},{"$ref":"#/components/schemas/BringCarrierConfiguration"},{"$ref":"#/components/schemas/DpdChCarrierConfiguration"},{"$ref":"#/components/schemas/DhlV2CarrierConfiguration"},{"$ref":"#/components/schemas/VceCarrierConfiguration"},{"$ref":"#/components/schemas/PostNlCarrierConfiguration"},{"$ref":"#/components/schemas/SevenSendersCarrierConfiguration"},{"$ref":"#/components/schemas/UBSendCarrierConfiguration"}]}}},"description":"Carrier Configuration","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/CarrierConfiguration"},{"$ref":"#/components/schemas/GlsCarrierConfiguration"},{"$ref":"#/components/schemas/FedexCarrierConfiguration"},{"$ref":"#/components/schemas/BringCarrierConfiguration"},{"$ref":"#/components/schemas/DpdChCarrierConfiguration"},{"$ref":"#/components/schemas/DhlV2CarrierConfiguration"},{"$ref":"#/components/schemas/VceCarrierConfiguration"},{"$ref":"#/components/schemas/PostNlCarrierConfiguration"},{"$ref":"#/components/schemas/SevenSendersCarrierConfiguration"},{"$ref":"#/components/schemas/UBSendCarrierConfiguration"}]}}},"description":"Carrier Configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier Configuration not found"}},"summary":"Update carrier config","tags":["Carriers Configuration (Operations)"]}}}}
```

## GET /api/carriers/{carrierId}/configuration/countryservicemappings

> List country service mappings

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierCountryServiceMapping":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"carrierServices":{"description":"Services which can be provided by the carrier","items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"type":"array"},"destinationCountries":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array","deprecated":true},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"id":{"description":"unique identifier for a countryServiceMapping","type":"string"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"deprecated":true,"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use source instead.","maxLength":2,"minLength":2,"type":"string","deprecated":true},"staticCCSMRef":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["id","source","destinations"],"type":"object","title":"CarrierCountryServiceMapping","description":"CarrierCountryServiceMapping"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute","description":"AdditionalShippingArticleAttribute"},"CountryServiceMappingShippingArticleAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"category":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeCategory"},"dataType":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeDataType"},"description":{"type":"string"},"referencedField":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeReferencedField"}},"required":["referencedField","dataType","category","descriptionLocalized"],"type":"object","title":"CountryServiceMappingShippingArticleAttribute","description":"CountryServiceMappingShippingArticleAttribute"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MandatoryShippingArticleAttributeCategory":{"enum":["customs","dimensions","insurance"],"type":"string","title":"MandatoryShippingArticleAttributeCategory","description":"MandatoryShippingArticleAttributeCategory"},"MandatoryShippingArticleAttributeDataType":{"enum":["NUMBER","STRING"],"type":"string","title":"MandatoryShippingArticleAttributeDataType","description":"MandatoryShippingArticleAttributeDataType"},"MandatoryShippingArticleAttributeReferencedField":{"enum":["attributes.weightPerUnit","attributes.hsCode","attributes.currency","attributes.valuePerUnit","attributes.countryOfManufacture"],"type":"string","title":"MandatoryShippingArticleAttributeReferencedField","description":"MandatoryShippingArticleAttributeReferencedField"},"AdditionalShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"AdditionalShippingAttribute","description":"AdditionalShippingAttribute"},"CountryServiceMappingShippingAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"- dimensions.weight: will be calculated from MandatoryShippingArticleAttribute.attributes.weightPerUnit if items with weightPerUnit is set on all items - productValue: will be calculated from MandatoryShippingArticleAttribute.attributes.pricePerUnit if items with pricePerUnit is set on all items","enum":["dimensions.weight","productValue","pickUpInformation.startTime","pickUpInformation.endTime","services.BulkyGoods","services.Signature","services.AdultSignature","services.CustomerSignature","services.SaturdayDelivery","services.IdentityCheckPrivate","services.IdentityCheckCompany","services.AdditionalTransportInsurance","carrierInformation.shippingContainerNumber"],"type":"string"}},"type":"object","title":"CountryServiceMappingShippingAttribute","description":"CountryServiceMappingShippingAttribute"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"CountryCode":{"description":"ISO 3166 ALPHA-2 of country","maxLength":2,"minLength":2,"type":"string","title":"CountryCode"},"RegionInformation":{"properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCodes":{"items":{"type":"string"},"type":"array"}},"required":["countryCode"],"type":"object","title":"RegionInformation","description":"RegionInformation"},"MandatoryShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"MandatoryShippingArticleAttribute","description":"MandatoryShippingArticleAttribute"},"MandatoryShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"MandatoryShippingAttribute","description":"MandatoryShippingAttribute"},"MandatoryShippingItemAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"Deprecated:\n  - description: article.title will be used instead\n  - weightInGram: use MandatoryShippingArticleAttribute.attributes.weightPerUnit\n  - quantity, this field is now mandatory in the item\n  - parcelItemValue.value: use MandatoryShippingArticleAttribute.attributes.pricePerUnit\n  - parcelItemValue.currency: use MandatoryShippingArticleAttribute.attributes.currency\n  - countryOfManufacture: use MandatoryShippingArticleAttribute.attributes.countryOfManufacture\n  - tenantArticleId: mandatory on line item article","enum":["description","weightInGram","quantity","parcelItemValue.value","parcelItemValue.currency","countryOfManufacture","tenantArticleId"],"type":"string"}},"type":"object","title":"MandatoryShippingItemAttribute","description":"MandatoryShippingItemAttribute"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration/countryservicemappings":{"get":{"description":"","operationId":"getCarrierCountryServiceMappings","parameters":[{"description":"ID of the carrier you want to get the countryservicemappings for","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/CarrierCountryServiceMapping"},"type":"array"}}},"description":"Carrier's countryservicemappings found & you are allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier's countryservicemappings Configuration not found"}},"summary":"List country service mappings","tags":["Carriers Configuration (Operations)"]}}}}
```

## POST /api/carriers/{carrierId}/configuration/countryservicemappings

> Create country service mapping

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierCountryServiceMappingForCreation":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierConfigurationVersion":{"description":"The version of the carrier configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"minItems":1,"type":"array"},"destinationCountries":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array"},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated Use source instead.","maxLength":2,"minLength":2,"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["carrierConfigurationVersion","source","destinations"],"type":"object","title":"CarrierCountryServiceMappingForCreation","description":"CarrierCountryServiceMappingForCreation"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute","description":"AdditionalShippingArticleAttribute"},"CountryServiceMappingShippingArticleAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"category":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeCategory"},"dataType":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeDataType"},"description":{"type":"string"},"referencedField":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeReferencedField"}},"required":["referencedField","dataType","category","descriptionLocalized"],"type":"object","title":"CountryServiceMappingShippingArticleAttribute","description":"CountryServiceMappingShippingArticleAttribute"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MandatoryShippingArticleAttributeCategory":{"enum":["customs","dimensions","insurance"],"type":"string","title":"MandatoryShippingArticleAttributeCategory","description":"MandatoryShippingArticleAttributeCategory"},"MandatoryShippingArticleAttributeDataType":{"enum":["NUMBER","STRING"],"type":"string","title":"MandatoryShippingArticleAttributeDataType","description":"MandatoryShippingArticleAttributeDataType"},"MandatoryShippingArticleAttributeReferencedField":{"enum":["attributes.weightPerUnit","attributes.hsCode","attributes.currency","attributes.valuePerUnit","attributes.countryOfManufacture"],"type":"string","title":"MandatoryShippingArticleAttributeReferencedField","description":"MandatoryShippingArticleAttributeReferencedField"},"AdditionalShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"AdditionalShippingAttribute","description":"AdditionalShippingAttribute"},"CountryServiceMappingShippingAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"- dimensions.weight: will be calculated from MandatoryShippingArticleAttribute.attributes.weightPerUnit if items with weightPerUnit is set on all items - productValue: will be calculated from MandatoryShippingArticleAttribute.attributes.pricePerUnit if items with pricePerUnit is set on all items","enum":["dimensions.weight","productValue","pickUpInformation.startTime","pickUpInformation.endTime","services.BulkyGoods","services.Signature","services.AdultSignature","services.CustomerSignature","services.SaturdayDelivery","services.IdentityCheckPrivate","services.IdentityCheckCompany","services.AdditionalTransportInsurance","carrierInformation.shippingContainerNumber"],"type":"string"}},"type":"object","title":"CountryServiceMappingShippingAttribute","description":"CountryServiceMappingShippingAttribute"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"CountryCode":{"description":"ISO 3166 ALPHA-2 of country","maxLength":2,"minLength":2,"type":"string","title":"CountryCode"},"RegionInformation":{"properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCodes":{"items":{"type":"string"},"type":"array"}},"required":["countryCode"],"type":"object","title":"RegionInformation","description":"RegionInformation"},"MandatoryShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"MandatoryShippingArticleAttribute","description":"MandatoryShippingArticleAttribute"},"MandatoryShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"MandatoryShippingAttribute","description":"MandatoryShippingAttribute"},"MandatoryShippingItemAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"Deprecated:\n  - description: article.title will be used instead\n  - weightInGram: use MandatoryShippingArticleAttribute.attributes.weightPerUnit\n  - quantity, this field is now mandatory in the item\n  - parcelItemValue.value: use MandatoryShippingArticleAttribute.attributes.pricePerUnit\n  - parcelItemValue.currency: use MandatoryShippingArticleAttribute.attributes.currency\n  - countryOfManufacture: use MandatoryShippingArticleAttribute.attributes.countryOfManufacture\n  - tenantArticleId: mandatory on line item article","enum":["description","weightInGram","quantity","parcelItemValue.value","parcelItemValue.currency","countryOfManufacture","tenantArticleId"],"type":"string"}},"type":"object","title":"MandatoryShippingItemAttribute","description":"MandatoryShippingItemAttribute"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"CarrierCountryServiceMapping":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"carrierServices":{"description":"Services which can be provided by the carrier","items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"type":"array"},"destinationCountries":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array","deprecated":true},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"id":{"description":"unique identifier for a countryServiceMapping","type":"string"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"deprecated":true,"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use source instead.","maxLength":2,"minLength":2,"type":"string","deprecated":true},"staticCCSMRef":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["id","source","destinations"],"type":"object","title":"CarrierCountryServiceMapping","description":"CarrierCountryServiceMapping"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration/countryservicemappings":{"post":{"description":"","operationId":"createCarrierCountryServiceMapping","parameters":[{"description":"ID of the carrier you want to create a countryservicemapping for","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CarrierCountryServiceMappingForCreation"}}},"description":"Carrier Configuration","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CarrierCountryServiceMapping"}}},"description":"CarrierCountryServiceMapping successfully created. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier not found"}},"summary":"Create country service mapping","tags":["Carriers Configuration (Operations)"]}}}}
```

## GET /api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

> Get country service mapping

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierCountryServiceMapping":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"carrierServices":{"description":"Services which can be provided by the carrier","items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"type":"array"},"destinationCountries":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array","deprecated":true},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"id":{"description":"unique identifier for a countryServiceMapping","type":"string"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"deprecated":true,"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated - Use source instead.","maxLength":2,"minLength":2,"type":"string","deprecated":true},"staticCCSMRef":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["id","source","destinations"],"type":"object","title":"CarrierCountryServiceMapping","description":"CarrierCountryServiceMapping"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute","description":"AdditionalShippingArticleAttribute"},"CountryServiceMappingShippingArticleAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"category":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeCategory"},"dataType":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeDataType"},"description":{"type":"string"},"referencedField":{"$ref":"#/components/schemas/MandatoryShippingArticleAttributeReferencedField"}},"required":["referencedField","dataType","category","descriptionLocalized"],"type":"object","title":"CountryServiceMappingShippingArticleAttribute","description":"CountryServiceMappingShippingArticleAttribute"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MandatoryShippingArticleAttributeCategory":{"enum":["customs","dimensions","insurance"],"type":"string","title":"MandatoryShippingArticleAttributeCategory","description":"MandatoryShippingArticleAttributeCategory"},"MandatoryShippingArticleAttributeDataType":{"enum":["NUMBER","STRING"],"type":"string","title":"MandatoryShippingArticleAttributeDataType","description":"MandatoryShippingArticleAttributeDataType"},"MandatoryShippingArticleAttributeReferencedField":{"enum":["attributes.weightPerUnit","attributes.hsCode","attributes.currency","attributes.valuePerUnit","attributes.countryOfManufacture"],"type":"string","title":"MandatoryShippingArticleAttributeReferencedField","description":"MandatoryShippingArticleAttributeReferencedField"},"AdditionalShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"AdditionalShippingAttribute","description":"AdditionalShippingAttribute"},"CountryServiceMappingShippingAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"- dimensions.weight: will be calculated from MandatoryShippingArticleAttribute.attributes.weightPerUnit if items with weightPerUnit is set on all items - productValue: will be calculated from MandatoryShippingArticleAttribute.attributes.pricePerUnit if items with pricePerUnit is set on all items","enum":["dimensions.weight","productValue","pickUpInformation.startTime","pickUpInformation.endTime","services.BulkyGoods","services.Signature","services.AdultSignature","services.CustomerSignature","services.SaturdayDelivery","services.IdentityCheckPrivate","services.IdentityCheckCompany","services.AdditionalTransportInsurance","carrierInformation.shippingContainerNumber"],"type":"string"}},"type":"object","title":"CountryServiceMappingShippingAttribute","description":"CountryServiceMappingShippingAttribute"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"CountryCode":{"description":"ISO 3166 ALPHA-2 of country","maxLength":2,"minLength":2,"type":"string","title":"CountryCode"},"RegionInformation":{"properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCodes":{"items":{"type":"string"},"type":"array"}},"required":["countryCode"],"type":"object","title":"RegionInformation","description":"RegionInformation"},"MandatoryShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"MandatoryShippingArticleAttribute","description":"MandatoryShippingArticleAttribute"},"MandatoryShippingAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingAttribute"}],"title":"MandatoryShippingAttribute","description":"MandatoryShippingAttribute"},"MandatoryShippingItemAttribute":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"dataType":{"enum":["Number","String","Date","Boolean"],"type":"string"},"description":{"type":"string"},"referencedField":{"description":"Deprecated:\n  - description: article.title will be used instead\n  - weightInGram: use MandatoryShippingArticleAttribute.attributes.weightPerUnit\n  - quantity, this field is now mandatory in the item\n  - parcelItemValue.value: use MandatoryShippingArticleAttribute.attributes.pricePerUnit\n  - parcelItemValue.currency: use MandatoryShippingArticleAttribute.attributes.currency\n  - countryOfManufacture: use MandatoryShippingArticleAttribute.attributes.countryOfManufacture\n  - tenantArticleId: mandatory on line item article","enum":["description","weightInGram","quantity","parcelItemValue.value","parcelItemValue.currency","countryOfManufacture","tenantArticleId"],"type":"string"}},"type":"object","title":"MandatoryShippingItemAttribute","description":"MandatoryShippingItemAttribute"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}":{"get":{"description":"","operationId":"getCarrierCountryServiceMapping","parameters":[{"description":"ID of the carrier you want to get a countryservicemapping for","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}},{"description":"ID of the countryservicemapping","in":"path","name":"countryServiceMappingId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CarrierCountryServiceMapping"}}},"description":"Carrier's countryservicemapping found & you are allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier's countryservicemappings Configuration not found"}},"summary":"Get country service mapping","tags":["Carriers Configuration (Operations)"]}}}}
```

## DELETE /api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

> Delete country service mapping

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}":{"delete":{"description":"","operationId":"deleteCarrierCountryServiceMapping","parameters":[{"description":"ID of the carrier you want to delete a countryservicemapping from","in":"path","name":"carrierId","required":true,"schema":{"type":"string"}},{"description":"ID of the countryservicemapping","in":"path","name":"countryServiceMappingId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"CarrierCountryServiceMapping successfully deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Carrier or CarrierCountryServiceMapping not found"}},"summary":"Delete country service mapping","tags":["Carriers Configuration (Operations)"]}}}}
```

## PATCH /api/carriers/{carrierId}/configuration/countryservicemappings/{countryServiceMappingId}

> Update country service mapping

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read carriers configuration.","name":"Carriers Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CarrierCountryServiceMappingForUpdate":{"additionalProperties":false,"properties":{"additionalShippingArticleAttributes":{"description":"Article Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional. If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingArticleAttribute"},"minItems":0,"type":"array"},"additionalShippingAttributes":{"description":"Shipping Attributes that will be displayed in the client as additional. They are not mandatory but could benefit the process. Mandatory fields can not be additional If duplicates found, the additional values will be removed on read.","items":{"$ref":"#/components/schemas/AdditionalShippingAttribute"},"minItems":0,"type":"array"},"carrierConfigurationVersion":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"countAsTransitDayBefore":{"type":"string"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"maxItems":1,"minItems":1,"type":"array"},"destinationCountries":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated Use destination instead.","items":{"$ref":"#/components/schemas/CountryCode"},"minItems":1,"type":"array"},"destinations":{"description":"The destination regions this mapping should be applied to.","items":{"$ref":"#/components/schemas/RegionInformation"},"minItems":1,"type":"array"},"mandatoryShippingArticleAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingArticleAttribute"},"minItems":0,"type":"array"},"mandatoryShippingAttributes":{"items":{"$ref":"#/components/schemas/MandatoryShippingAttribute"},"minItems":0,"type":"array"},"mandatoryShippingItemAttributes":{"description":"Deprecated - use mandatoryShippingArticleAttributes instead","items":{"$ref":"#/components/schemas/MandatoryShippingItemAttribute"},"minItems":0,"type":"array"},"products":{"description":"Array of products for the given mapping","items":{"type":"string"},"type":"array"},"source":{"$ref":"#/components/schemas/RegionInformation"},"sourceCountry":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated Use source instead.","maxLength":2,"minLength":2,"type":"string"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["carrierConfigurationVersion"],"type":"object","title":"CarrierCountryServiceMappingForUpdate","description":"CarrierCountryServiceMappingForUpdate"},"AdditionalShippingArticleAttribute":{"allOf":[{"$ref":"#/components/schemas/CountryServiceMappingShippingArticleAttribute"}],"title":"AdditionalShippingArticleAttribute"
[...]
